TF_CryptoSystemBase< INTERFACE, BASE > Class Template Reference

Trapdoor function cryptosystem base class. More...

Inheritance diagram for TF_CryptoSystemBase< INTERFACE, BASE >:

## Public Member Functions

bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
Public Member Functions inherited from PK_FixedLengthCryptoSystemImpl< INTERFACE >
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const

## Detailed Description

### template<class INTERFACE, class BASE>
class TF_CryptoSystemBase< INTERFACE, BASE >

Trapdoor function cryptosystem base class.

Template Parameters

  INTERFACE | public key cryptosystem base interface
  BASE | public key cryptosystem implementation base

Definition at line 281 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h